UALARM(3)

NAME
ualarm - schedule signal after interval in microseconds

SYNOPSIS
unsigned ualarm(value, interval)
unsigned value;
unsigned interval;

DESCRIPTION

This is a simplified interface to setitimer() (see getitimer(2)).

ualarm() sends signal SIGALRM, see signal(3V), to the invoking process in a number of microseconds given by the value argument. Unless caught or ignored, the signal terminates the process.

If the interval argument is non-zero, the SIGALRM signal will be sent to the process every interval microseconds after the timer expires (for instance, after value microseconds have passed).

Because of scheduling delays, resumption of execution of when the signal is caught may be delayed an arbitrary amount. The longest specifiable delay time is 2147483647 microseconds.

The return value is the amount of time previously remaining in the alarm clock.

SEE ALSO
getitimer(2), sigpause(2V), sigvec(2), alarm(3V), signal(3V), sleep(3V), usleep(3)